Eclipse and Mac OS X

I've been running Eclipse on my Mac (or, more specifically, my wife's Mac) for a couple of months now. Version 3.0.1 was usable even on her iBook. Everything went swimmingly until my PowerBook arrived. I installed Eclipse and got it working, but then updated the JDK to 1.4.2_05 and Eclipse thereafter failed to load.

The error logs were particularly cryptic: error loading bundle, such-and-such plugin manifest not found, etc. I tried going back to 3.0, then back to 3.0.1. I tried wiping the preferences, zapping the pram, and every other Mac trick I could think of. Then I decided to investigate the logs some more.

Buried deep within the stack trace was a SAX error. It said that string interning wasn't a viable option for the current parser. So I scratched my chin, furrowed my brow, and went and looked at my brand new JDK. Lo and behold, I had libraries in /lib/endorsed. Xerxes was there, as well as the sax interfaces. So I nuked them. Eclipse has worked fine since.

The question, though, is what will that do to the rest of my Mac? Is there anything in 10.3.5 that depends on those endorsed libraries? Are there Mac-specific changes to those libs prompting their inclusion in my JDK? Am I going to get bitten by a nasty, impossibly cryptic bug somewhere else now that I've eliminated the /endorsed folder? I'm on the edge of my seat waiting to find out.